Bug 53904 - [PATCH] net/cvsync: install documentation, remove USE_REINPLACE
Summary: [PATCH] net/cvsync: install documentation, remove USE_REINPLACE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-29 21:10 UTC by Sergei Kolobov
Modified: 2003-07-03 07:12 UTC (History)
1 user (show)

See Also:


Attachments
cvsync-0.23.5.patch (2.15 KB, patch)
2003-06-29 21:10 UTC, Sergei Kolobov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Kolobov 2003-06-29 21:10:12 UTC
- Install documentation
- Remove USE_REINPLACE as it is not used anymore
- Slightly reword pkg-descr, mention that cvsync is BSD-licensed
- Add Author and WWW tags to pkg-descr

Port maintainer (hrs@FreeBSD.org) is cc'd.
Comment 1 Erwin Lansing freebsd_committer 2003-06-30 07:47:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer
Comment 2 Hiroki Sato 2003-06-30 15:33:08 UTC
Sergei Kolobov <sergei@kolobov.com> wrote
  in <20030629200006.7423.qmail@kolobov.com>:

sergei> - Install documentation
sergei> - Remove USE_REINPLACE as it is not used anymore
sergei> - Slightly reword pkg-descr, mention that cvsync is BSD-licensed
sergei> - Add Author and WWW tags to pkg-descr

 Thanks.  Your patch is good to me, but the author does not like
 that his email address appears as is in pkg-descr.

 The following patch includes sergei@kolobov.com's changes and
 "s/@/ at /;s/\./ dot /" for the email address.  Could anyone commit this?

-- 
| Hiroki SATO  <hrs@eos.ocn.ne.jp> / <hrs@FreeBSD.org>

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/cvsync/Makefile,v
retrieving revision 1.16
diff -d -u -I\$FreeBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.16 Makefile
--- Makefile	27 Jun 2003 04:04:26 -0000	1.16
+++ Makefile	30 Jun 2003 13:48:18 -0000
@@ -15,13 +15,17 @@
 COMMENT=	A portable CVS repository synchronization utility
 
 USE_GMAKE=	yes
-USE_REINPLACE=	yes
 
 MAN1=		cvscan.1 cvsync.1 cvsyncd.1 rcscan.1 rcscmp.1
+DOCS=		doc/COPYRIGHT doc/ChangeLog doc/FAQ doc/TODO
+EXAMPLES=	samples/cvsync.conf samples/cvsyncd.conf
 
 post-install:
 	@${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/samples/cvsync.conf ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/samples/cvsyncd.conf ${EXAMPLESDIR}
+	cd ${WRKSRC} && ${INSTALL_DATA} ${EXAMPLES} ${EXAMPLESDIR}
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+	cd ${WRKSRC} && ${INSTALL_DATA} ${DOCS} ${DOCSDIR}
+.endif
 
 .include <bsd.port.mk>
Index: pkg-descr
===================================================================
RCS file: /home/ncvs/ports/net/cvsync/pkg-descr,v
retrieving revision 1.2
diff -d -u -I\$FreeBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.2 pkg-descr
--- pkg-descr	16 Apr 2003 06:45:07 -0000	1.2
+++ pkg-descr	30 Jun 2003 13:49:19 -0000
@@ -1,5 +1,8 @@
 cvsync is a portable CVS repository synchronization utility,
-written in C and POSIX pthread library. This is very similar to
-CVSup but not compatible with it.
+written in C and POSIX pthread library, released under BSD license.
+It is very similar to CVSup but not compatible with it.
 
 Note that this utility is still experimental.
+
+Author:	MAEKAWA Masahide <maekawa at daemon-systems dot org>
+WWW:	http://www.daemon-systems.org/cvsync/
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/net/cvsync/pkg-plist,v
retrieving revision 1.1
diff -d -u -I\$FreeBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.1 pkg-plist
--- pkg-plist	23 Mar 2003 18:41:44 -0000	1.1
+++ pkg-plist	30 Jun 2003 13:47:50 -0000
@@ -4,6 +4,11 @@
 bin/cvsyncd
 bin/rcscan
 bin/rcscmp
+%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/FAQ
+%%PORTDOCS%%%%DOCSDIR%%/TODO
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 %%EXAMPLESDIR%%/cvsync.conf
 %%EXAMPLESDIR%%/cvsyncd.conf
 @dirrm %%EXAMPLESDIR%%
Comment 3 Norikatsu Shigemura freebsd_committer 2003-07-03 07:11:55 UTC
State Changed
From-To: open->closed

Committed, thanks!